Subject: Re: git grep: search whole tree by default?

From: Junio C Hamano <[email-masked]>
Date: Wed, 23 Oct 2013 12:31:14 -0700

Jed Brown <[email-masked]> writes:

> Junio C Hamano <[email-masked]> writes:
>
>> Jed Brown <[email-masked]> writes:
>>
>>> Junio C Hamano <[email-masked]> writes:
>>>> I suspect that it would be too late for 2.0 we want to do sometime
>>>> early next year, though.
>>>
>>> How would you manage transition from the current behavior?  Warning
>>> people to explicitly use "." or ":/" during some interim period sounds
>>> worse than just switching the default behavior.
>>
>> "How would I"?
>>
>> You're asking that question only because you omitted too much from
>> the quote ;-)
>
> I meant that if the proposed migration plan were to be "just change it
> and people will learn" (because anything more gradual would actually be
> worse for users) then is it really too late for Git-2.0?

I do not know it that is even a workable plan, but I need to sleep
on it and then hear opinion from others, but in general, if anybody
needs to ask if it is too late, then it already is.